Skip to main content
GET
/
api
/
v1
/
analyses
/
{id}
Get analysis
curl --request GET \
  --url https://shelfforce.ai/api/v1/analyses/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "status": "processing",
    "totalRuns": 123,
    "completedRuns": 123,
    "failedRuns": 123,
    "products": [
      {
        "id": "<string>",
        "brand": "<string>",
        "description": "<string>",
        "units": 2,
        "sku": "<string>",
        "category": "<string>",
        "subcategory": "<string>",
        "price": 123,
        "discountedPrice": 123,
        "currency": "<string>",
        "onSale": true,
        "confidence": 0.5,
        "shelfPosition": "<string>",
        "fixtureType": "shelf"
      }
    ],
    "productCount": 123,
    "createdAt": "2023-11-07T05:31:56Z",
    "placeId": "<string>",
    "taskId": "<string>",
    "completedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key with sf_live_ prefix. Pass as Authorization: Bearer sf_live_...

Path Parameters

id
string
required

Analysis ID returned from the create or batch endpoint.

Example:

"an_g7h8j9k0"

Response

Analysis details with detected products.

data
object
required